var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import CButtonClose from './CButtonClose';

//component - CoreUI / CSidebarClose

var CSidebarClose = function CSidebarClose(props) {
  var className = props.className,
      attributes = _objectWithoutProperties(props, ['className']);

  // render

  var classes = classNames('c-sidebar-close', className);

  return React.createElement(
    CButtonClose,
    _extends({}, attributes, { className: classes }),
    React.createElement(
      'svg',
      { className: 'c-icon', width: '24', height: '24', viewBox: '0 0 24 24' },
      React.createElement(
        'title',
        null,
        'x'
      ),
      React.createElement('path', { d: 'M20.030 5.030l-1.061-1.061-6.97 6.97-6.97-6.97-1.061 1.061 6.97 6.97-6.97 6.97 1.061 1.061 6.97-6.97 6.97 6.97 1.061-1.061-6.97-6.97 6.97-6.97z' })
    )
  );
};

CSidebarClose.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  className: PropTypes.string,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string])
} : {};

CSidebarClose.defaultProps = {};

export default CSidebarClose;